Search documentation of ExStreamClient

# ExStreamClient.Operations.RateLimits (ExStreamClient v0.1.10)

View Source

Modules for interacting with the `rate_limits` group of Stream APIs

API Reference: https://getstream.github.io/protocol/?urls.primaryName=Chat%20v2

### Shared options

All functions in this module accept the following optional parameters:

- `api_key` - API key to use. If not provided, the default key from config will be used
- `api_key_secret` - API key secret to use. If not provided, the default secret from config will be used
- `endpoint` - endpoint to use. If not provided, the default endpoint from config will be used
- `client` - HTTP client to use. Must implement `ExStreamClient.Http.Behavior`. Defaults to `ExStreamClient.Http`
- `req_opts` - all of these options will be forwarded to req. See `Req.new/1` for available options

# Summary

## Types

shared_opts()

## Functions

get_rate_limits(opts \\ [])

Get rate limits usage and quotas

# Types

# shared_opts()

    @type shared_opts() :: [
      api_key: String.t(),
      api_key_secret: String.t(),
      client: module(),
      endpoint: String.t(),
      req_opts: keyword()
    ]

# Functions

# get_rate_limits(opts \\ [])

    @spec get_rate_limits([
      ({:endpoints, String.t()}
       | {:web, boolean()}
       | {:ios, boolean()}
       | {:android, boolean()}
       | {:server_side, boolean()})
      | shared_opts()
    ]) :: {:ok, ExStreamClient.Model.GetRateLimitsResponse.t()} | {:error, any()}

Get rate limits usage and quotas

### Optional Arguments:

- `android`
- `endpoints`
- `ios`
- `server_side`
- `web`
- All options from Shared Options are supported.